function inithud()
	selbox = love.graphics.newImage("/img/selection.png")
	cbutton = love.graphics.newImage("/img/clear.png")
	t = 100
	hBlock = 0
	--Toggles
	showhud = false
end

function updatehud(dt)
	if checkcollision(love.mouse.getX(), love.mouse.getY(), 1, 763, 5, 32) then
		clearPressed = true
		canPlace = false
		if t < 255 then
			t = t + 800 * dt
		else
			t = 255
		end
	else
		canPlace = true
		clearPressed = false
		if t > 100 then
			t = t - 800 * dt
		else
			t = 100
		end
	end
	--Mouse Info
	--Coords
	mx, my = love.mouse.getPosition()
	bx = math.floor(mx / size)
	by = math.floor(my / size)
	for i=1, #blocks do
		if blocks[i].x == bx and blocks[i].y == by then
			hBlock = blocks[i].id
			break
		end
		hBlock = 0
	end
end

function drawhud()
	love.graphics.setColor(0, 0, 0, 255)
	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.drawq(terrainimg, selectBlock(cBlock), 10, 443)
	love.graphics.draw(selbox, 10, 443)
	love.graphics.setColor(255, 255, 255, 50)
	love.graphics.rectangle("fill", 42, 443, 132, 32)
	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.print("Block id: "..cBlock, 45, 443) 
	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.print("Name: "..getBlockName(cBlock), 45, 455) 
	--CLEAR Button
	love.graphics.setColor(255, 255, 255, t)
	love.graphics.rectangle("fill", 763, 5, 32, 32)
	love.graphics.draw(cbutton, 763, 5)
	--MouseInfo
	if showhud then
		love.graphics.setColor(255, 255, 255, 100)
		love.graphics.rectangle("fill", 0, 0, 200, 64)
		love.graphics.setColor(255, 255, 255, 255)		love.graphics.print("Block Coords: "..bx.."x"..by, 5, 5)
		love.graphics.print("Blocks: "..#blocks, 5, 35)
		love.graphics.print("Status: "..worldstatus, 5, 45)
		if hBlock == 0 then
				love.graphics.print("Block Type: ", 5, 20)
		else
			love.graphics.print("Block Type: "..getBlockName(hBlock), 5, 20)
		end
	end
end

function hudMousepress(x, y)
	if clearPressed then
		clearBlocks()
	end
end

function love.keypressed(k)
	if k == "f3" then
		if showhud then
			showhud = false
		else
			showhud = true
		end
	end
	if k == "n" then
		spawnWorld()
	end
	
	if k == "t" then
		player.x = 100
		player.y = 20
	end
	
	if k == "up" then
		if cBlock > 9 then
			cBlock = 1
		else
			cBlock = cBlock + 1
		end
	elseif k == "down" then
		if cBlock < 2 then
			cBlock = 10
		else
			cBlock = cBlock - 1
		end
	end
end





