require "blocks"
require "hud"
require "player"
function love.load()
	initblocks()
	inithud()
	initplayer()
	bg = love.graphics.newImage("img/bg.png")
	fade = love.graphics.newImage("img/fade.png")
end

function love.update(dt)
	updateblocks(dt)
	updatehud(dt)
	updateplayer(dt)
end

function love.draw()
	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.draw(bg)
	drawblocks()
	drawplayer()
	love.graphics.draw(fade)
	drawhud()
end

function checkcollision(x1, y1, s1, x2, y2, s2)
	if x1 > (x2 + s2) or (x1 + s1) < x2 then return false end
	if y1 > (y2 + s2) or (y1 + s1) < y2 then return false end
	return true
end